# MainStore
**Inherits:** [Node](https://docs.godotengine.org/de/4.x/classes/class_node.html)
    
## Description

Collection of all the stores to save the state persistently

## Properties

| Name                       | Type                                                                      | Default |
| -------------------------- | ------------------------------------------------------------------------- | ------- |
| [devices](#prop-devices)   | [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html) |         |
| [house](#prop-house)       | [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html) |         |
| [settings](#prop-settings) | [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html) |         |







## Constants

### SettingsStore = `<Object>` {#const-SettingsStore}

No description provided yet.

### HouseStore = `<Object>` {#const-HouseStore}

No description provided yet.

### DevicesStore = `<Object>` {#const-DevicesStore}

No description provided yet.

## Property Descriptions

### devices: [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html) {#prop-devices}

No description provided yet.

### house: [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html) {#prop-house}

No description provided yet.

### settings: [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html) {#prop-settings}

No description provided yet.
